detect_lang:
  url: /
  param: { module: user, action: detect_lang }

homepage:
  url: /:sf_culture/
  param: { module: main, action: index }
  requirements:
    sf_culture: (?:ru|en)

homepage_discount:
  url: /:sf_culture/discount/:url/
  param: { module: main, action: index }

search:
  url: /:sf_culture/search/
  param: { module: search, action: search }

article:
  url: /:sf_culture/article/
  param: { module: article, action: index }

article_show:
  url: /:sf_culture/article/:alias/
  param: { module: article, action: show }

review:
  url: /:sf_culture/review/
  param: { module: review, action: index }

discount:
  url: /:sf_culture/discount/
  param: { module: discount, action: index }

catalog:
  url: /:sf_culture/catalog/
  param: { module: catalog, action: index }

catalog_show:
  url: /:sf_culture/catalog/:alias/
  class: sfDoctrineRoute
  options: { model: Cat, type: object }
  param: { module: catalog, action: show }

product_show:
  url: /:sf_culture/product/:alias/
  class: sfDoctrineRoute
  options: { model: Product, type: object }
  param: { module: product, action: show }

basket:
  url: /:sf_culture/basket/
  param: { module: basket, action: index}

basket_complete:
  url: /:sf_culture/basket/complete/
  param: { module: basket, action: complete }

basket_check_discount:
  url: /:sf_culture/basket/check_discount/
  param: { module: discount, action: check_discount }

catalog_show_cat:
  url: /catalog/:alias/
  param: { module: catalog, action: show_cat }

basket_ajax:
  url: /basket/ajax/
  param: { module: basket, action: ajax }

catalog_show_prod:
  url: /product/:alias/
  param: { module: catalog, action: show_prod }

feedback:
  url: /feedback/
  param: { module: user, action: feedback }

exchange:
  url: /exchange/
  param: { module: exchange, action: exchange }

video:
  url: /:sf_culture/video/
  param: { module: video, action: index}

download:
  url: /download/:type/:id/
  param: { module: main, action: dl}

callback:
  url: /callback/
  param: { module: callback, action: new}

uploader:
  url: /uploader/
  param: { module: main, action: uploader }

check_discount_term:
  url: /check_discount_term/
  param: { module: discount, action: check_discount_term }

page_show:
  url: /:sf_culture/:alias/
  class: sfDoctrineRoute
  options: { model: Page, type: object }
  param: { module: pages, action: show }

sitemap:
  url: /sitemap.xml
  param: { module: pages, action: sitemap }